﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://www.avianwaves.com/Software/Tools/RDTabs/RDTabsSetup_3.0.12.exe'
$url64      = 'https://www.avianwaves.com/Software/Tools/RDTabs/RDTabsSetup_3.0.12.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'RD Tabs'

  checksum      = '5d18c1fa29f20c0fed73b7f69f982095402f9b551b640bc3057135866ec129d4'
  checksumType  = 'sha256'
  checksum64    = '5d18c1fa29f20c0fed73b7f69f982095402f9b551b640bc3057135866ec129d4'
  checksumType64= 'sha256'

  silentArgs    = "-quiet"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
